c file addr1.f 
	program addr1
	integer foo1(1024) 
	integer foo2(1024) 
	common /aa/ foo1,foo2
c address of 1st common aa entry
	write(6,10)%loc(foo1) 
c address of 2nd common aa entry
	write(6,10)%loc(foo2) 	
10 	format(x,z) 
	stop 
	end
